#!/bin/sh
firmware560=0
fwparam=root.Properties.Firmware.Version
if parhandclient get $fwparam  | grep  '^"5\.6' > /dev/null; then
    firmware560=1
fi


rm  -rf /usr/html/local/parking /usr/html/local/people-counter /usr/html/local/people-counter /usr/html/local/heatmap /usr/html/local/bicycle
ln -sf /usr/local/packages/tvpc/html/people-counter /usr/html/local/people-counter
ln -sf /usr/local/packages/tvpc/html/people-counter /usr/html/local/people-counter

cat /etc/httpd/conf/boa.conf | grep -v /usr/local/packages/tv > /tmp/newboa.conf
cp /tmp/newboa.conf /etc/httpd/conf/boa.conf 


echo '
# AXIS People Counter settings for tvpc 
Alias /people-counter /usr/local/packages/tvpc/html/people-counter
Alias /people-counter /usr/local/packages/tvpc/html/people-counter' >> /etc/httpd/conf/boa.conf 

ln -s index.html /usr/local/packages/tvpc/html/people-counter/index.shtml
ln -s /usr/local/packages/tvpc/html/people-counter /mnt/flash/etc/httpd/html/viewer/people-counter
#rm /usr/local/packages/tvpc/html/people-counter/index.shtml
#ln -sf index.html /usr/local/packages/tvpc/html/people-counter/index.shtml

cat /etc/httpd/conf/boa.conf | \
  sed -e 's/^#*DirectoryIndex/#DirectoryIndex/g' | \
  sed -e 's/^#*\s*DirectoryMaker \/.*$/DirectoryMaker \/lib\/persistent\/genindex/g' | \
  cat > /tmp/boa.conf.tmp
mv /tmp/boa.conf.tmp /etc/httpd/conf/boa.conf

#chmod 750 /usr/local/packages/tvpc/html/people-counter/*.cgi
cp /usr/local/packages/tvpc/myindex /lib/persistent/genindex
chmod +x /lib/persistent/genindex
cp /usr/local/packages/tvpc/ntp /etc/init.d/ntp
chmod 755 /etc/init.d/ntp
/etc/init.d/ntp restart >/dev/null 2>&1

cp /usr/local/packages/tvpc/html/people-counter/public/* /mnt/flash/etc/httpd/html/administrator/

parhandclient --nocgi set root.Network.Bonjour.FriendlyName "AXIS People Counter - `parhandclient --nocgi get root.Brand.ProdShortName - RAW` - `parhandclient --nocgi get root.Properties.System.SerialNumber - RAW`" 2>/dev/null > /dev/null

if [ "$firmware560" -eq "1" ]; then
    BOAPID=`pidof boa`
    BOAOUT_=`stat /proc/$BOAPID/fd/* | grep pipe`
    BOAOUT=`echo $BOAOUT_ | cut -d' ' -f2 | tr -d \'`
    eval `sed -n 'H;${x;s/\(^\|\x00\)\([^=]*.\)\([^\x00]*\)/\2\x27\3\x27\n/gp}' /proc/$PPID/environ | grep HTTP_HOST`
    echo -en 'Location: http://'$HTTP_HOST'/local/people-counter/wait.html\r\n' > $BOAOUT
    echo -en 'Content-type: text/plain\r\n\r\n' > $BOAOUT
else
    echo -en 'Location: http://'$HTTP_HOST'/local/people-counter/wait.html\r\n'
    echo -en 'Content-type: text/plain\r\n\r\n'
fi
/etc/init.d/httpd restart  >/dev/null  2>&1
export QUERY_STRING="action=start&package=tvpc"
/usr/html/axis-cgi/applications/control.cgi >/dev/null  2>&1

# Add Possibility for viewer to see interface
chgrp -R viewer /usr/local/packages/tvpc/*
chmod -R 740 /usr/local/packages/tvpc/*

chown :operator /usr/local/packages/tvpc/html/people-counter/*.cgi
chmod 750 /usr/local/packages/tvpc/html/people-counter/*.cgi
#chown :operator /usr/local/packages/tvpc/html/people-counter
chmod 750 /usr/local/packages/tvpc/html/people-counter

chgrp operator /usr/local/packages/tvpc/html/people-counter/backup.cgi
chgrp operator /usr/local/packages/tvpc/html/people-counter/record.cgi
chgrp operator /usr/local/packages/tvpc/html/people-counter/registration.html
chgrp operator /usr/local/packages/tvpc/html/people-counter/javascript/registration.js
